=== debian/changelog ===
coq-elpi (2.5.0-1.1ubuntu1) resolute; urgency=medium

  * Increase a little bit more a test timeout

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 24 Oct 2025 20:06:25 +0200

coq-elpi (2.5.0-1.1build3) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 24 Oct 2025 06:52:43 +0200

coq-elpi (2.5.0-1.1build2) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Oct 2025 22:45:30 +0200

coq-elpi (2.5.0-1.1build1) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 31 Aug 2025 21:18:48 +0200

coq-elpi (2.5.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Enable again a patch commented on new release

  [ Adrian Bunk <bunk@debian.org> ]
  * Add 0001-Increase-a-test-timeout.patch
    (Closes: #1107826)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Jun 2025 08:59:01 +0200

coq-elpi (2.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 12 Mar 2025 08:06:26 +0100
