=== debian/control ===
Source: coq-elpi
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: coq,
               debhelper-compat (= 13),
               dh-coq,
               dh-ocaml,
               elpi,
               libcoq-core-ocaml-dev (>= 8.17),
               libcoq-stdlib,
               libelpi-ocaml-dev,
               libppx-optcomp-ocaml-dev,
               ocaml-dune
Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-elpi
Vcs-Git: https://salsa.debian.org/ocaml-team/coq-elpi.git
Homepage: https://github.com/LPCIC/coq-elpi

Package: libcoq-elpi
Architecture: any
Depends: libelpi-ocaml-dev, ${coq:Depends}, ${misc:Depends}, ${ocaml:Depends}
Provides: ${coq:Provides}
Description: Coq plugin embedding Elpi
 This package makes it possible to define new commands and tactics
 for Coq in Elpi.
 .
 Elpi implements a lambda-Prolog interpreter enriched with
 constraint handling rules.
 .
 Coq is a proof assistant for higher-order logic.
