## coq-elpi 3.2.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,10 @@
 dune_wrap = $(shell command -v coqc > /dev/null || echo "etc/with-rocq-wrap.sh")
-dune = $(dune_wrap) dune $(1) $(DUNE_$(1)_FLAGS --stop-on-first-error
+dune = $(dune_wrap) dune $(1) $(DUNE_$(1)_FLAGS) --stop-on-first-error
 DUNE_IN_FILES = $(shell find . -name "dune.in" | sed -e 's/.in$$//')
+
+# This makefile is mostly calling dune and dune doesn't like
+# being called in parralel, so we enforce -j1
+.NOTPARALLEL:
 
 all: $(DUNE_IN_FILES)
 	$(call dune,build)
@@ -12,7 +16,7 @@
 	@rm -f $@
 	@echo "; generated by make, do not edit\n" > $@
 	@if test -e .coq-dune-files || \
-	    (command -v coqc > /dev/null && (coqc --version | grep -q '8.19\|8.20')) ; then \
+	    (command -v coqc > /dev/null && (coqc --version | grep -q '8.20')) ; then \
 	  sed -e 's/@@STDLIB_THEORY@@//' $< | \
 	  sed -e 's/@@STDLIB@@//' | \
 	  sed -e 's/@@ROCQ_RUNTIME@@/coq-core/g' >> $@ ; \
@@ -52,6 +56,13 @@
 test-core: $(DUNE_IN_FILES)
 	$(call dune,runtest) tests
 	$(call dune,build) tests
+	# Check for build reproducibility
+	md5sum _build/default/tests/accumulate1.vo > md5sum_accumulate1vo_1
+	rm -f _build/default/tests/accumulate1.vo
+	$(call dune,build) --cache=disabled tests
+	md5sum _build/default/tests/accumulate1.vo > md5sum_accumulate1vo_2
+	diff md5sum_accumulate1vo_1 md5sum_accumulate1vo_2
+	rm md5sum_accumulate1vo_1 md5sum_accumulate1vo_2
 .PHONY: test-core
 
 test-apps: $(DUNE_IN_FILES)
@@ -79,9 +90,11 @@
 
 doc: build
 	@echo "########################## generating doc ##########################"
+	@python3 -m venv alectryon
+	@alectryon/bin/pip3 install git+https://github.com/cpitclaudel/alectryon.git@c8ab1ec
 	@mkdir -p doc
 	@$(foreach tut,$(wildcard examples/tutorial*$(ONLY)*.v),\
-		echo ALECTRYON $(tut) && OCAMLPATH=$(shell pwd)/_build/install/default/lib ./etc/alectryon_elpi.py \
+		echo ALECTRYON $(tut) && OCAMLPATH=$(shell pwd)/_build/install/default/lib alectryon/bin/python3 etc/alectryon_elpi.py \
 		    --frontend coq+rst \
 			--output-directory doc \
 		    --pygments-style vs \
