=== debian/changelog ===
coq-elpi (3.2.0-2) experimental; urgency=medium

  * Add missing depends on shlibs:Depends.
  * Bump standards-version to 4.7.2.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 30 Oct 2025 08:44:33 +0100

coq-elpi (3.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 29 Oct 2025 08:58:28 +0100

coq-elpi (2.5.0-1.2) unstable; urgency=medium

  * Increase a little bit more a test timeout

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 24 Oct 2025 20:06:25 +0200
