=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),
@@ -21,7 +21,7 @@
 
 Package: libcoq-elpi
 Architecture: any
-Depends: libelpi-ocaml-dev, ${coq:Depends}, ${misc:Depends}, ${ocaml:Depends}
+Depends: libelpi-ocaml-dev, ${coq:Depends}, ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
 Provides: ${coq:Provides}
 Description: Coq plugin embedding Elpi
  This package makes it possible to define new commands and tactics
