=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 include /usr/share/ocaml/ocamlvars.mk
 include /usr/share/coq/coqvars.mk
+
+export DEB_BUILD_OPTIONS += noautodbgsym
 
 export COQTOP := $(COQ_STDLIB_DIR)
 export COQLIB := $(COQ_STDLIB_DIR)
